# Gaussian NO2 doublet unrestricted DFT (BLYP) single point energy

from chemsh       import *
from chemsh.utils import testutils

no2 = Fragment(coords="no2.cjson")

# default functional is 'blyp'
gaussian = Gaussian(frag=no2, method="dft", basis="3-21g", scftype="uhf", mult=2, threshold=1E-10)

sp = SP(theory=gaussian, gradients=True)
sp.run()

ecalc = sp.result.energy

# Test result from Tcl-ChemShell
# NWChem
eref = -203.89411636
# Tcl-ChemShell/Gaussian16
eref = -2.03894117008000e+02

testutils.validate(ecalc, eref)
